function find_all_regex, str, regexpr


;;; returns all occurrences of given regular expression in string

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;;; copyright H\'el\`ene Roussel
;;; roussel@iap.fr
;;; Institut d'Astrophysique de Paris - Universit\'e Pierre et Marie Curie, France

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



str_rest = str
match = ''
repeat begin
   n = strlen(str_rest)
   pos = stregex(str_rest, regexpr, length=len)
   if len ge 1 then match = [match, strmid(str_rest, pos, len)]
   if pos + len lt n then str_end = strmid(str_rest, pos + len) else str_end = ''
   if pos gt 0 then str_rest = strmid(str_rest, 0, pos) + str_end else str_rest = str_end
endrep until len lt 1
return, match(1:*)


end
