pro load_mapcol


;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;;; copyright H\'el\`ene Roussel
;;; roussel@iap.fr
;;; Institut d'Astrophysique de Paris - Universit\'e Pierre et Marie Curie, France

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



x = [0, 5, 10, 20, 35, 45, 60, 70, 80, 100, 120, 140, 160, 180, 200, 215, 235, 255]

rgb = bytarr(256, 3)
rgb(x(17), *) = [255, 255, 255]   ;;; white
rgb(x(16), *) = [255, 109, 142]   ;;; pink
rgb(x(15), *) = [255, 52, 61]     ;;; red
rgb(x(14), *) = [178, 34, 34]     ;;; dark red
rgb(x(13), *) = [190, 70, 70]     ;;; brick
rgb(x(12), *) = [255, 131, 47]    ;;; orange
rgb(x(11), *) = [255, 190, 0]     ;;; orange-yellow
rgb(x(10), *) = [255, 255, 0]     ;;; lemon yellow
rgb(x(9), *) = [150, 220, 76]     ;;; light green
rgb(x(8), *) = [120, 184, 104]    ;;; dull green
rgb(x(7), *) = [0, 145, 155]      ;;; blue-green
rgb(x(6), *) = [0, 87, 173]       ;;; dark blue
rgb(x(5), *) = [100, 140, 200]    ;;; light blue
rgb(x(4), *) = [160, 85, 180]     ;;; light purple
rgb(x(3), *) = [77, 41, 139]      ;;; purple
rgb(x(2), *) = [124, 102, 121]    ;;; purple-grey
rgb(x(1), *) = [91, 71, 65]       ;;; dark brown
rgb(x(0), *) = [0, 0, 0]          ;;; black

for i = 0, 2 do rgb(*, i) = interpol(rgb(x, i), x, indgen(256))

tvlct, rgb


end
